summaryrefslogtreecommitdiffstats
path: root/modules/infest/bootstrap.sh
diff options
context:
space:
mode:
authortv <tv@also>2011-05-28 14:34:33 +0200
committertv <tv@also>2011-05-28 14:34:33 +0200
commit937099fb6d2360129ab3fa5d698bd5c70d14e6d5 (patch)
treef16fc0b899b7ee0f7510f0847450c455d2488848 /modules/infest/bootstrap.sh
parent922cc67c0080c6ed42ca4f5fee4e5ad898c79462 (diff)
infest: Major Refactoring
Diffstat (limited to 'modules/infest/bootstrap.sh')
-rw-r--r--modules/infest/bootstrap.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/modules/infest/bootstrap.sh b/modules/infest/bootstrap.sh
new file mode 100644
index 00000000..c434a4fe
--- /dev/null
+++ b/modules/infest/bootstrap.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -x
+[ "`id -u`" -eq "0" ] || { echo "you need to be root!"; exit 1;} || exit 1
+
+[ -e '/usr/bin/git' ] || \
+apt-get install -y git-core || \
+yum install git || \
+opkg install git || \
+pacman -Sy git || \
+{ echo "please install git!"; exit 1;} || exit 1
+
+[ -e '/krebs' ] || git clone git://github.com/krebscode/painload.git /krebs \
+|| { echo "cloning failed :(" ; exit 1; } || exit 1
+
+cd /krebs || { echo "cannot change into /krebs folder:(" ; exit 1; } || exit 1
+
+#read -n1 -p "infest now? [yN]"
+
+#[[ $REPLY = [yY] ]] && make infest
+#echo $REPLY
+echo "do 'make infest' in /krebs"
+echo "have a nice day"
+